Bug 467032 - Hellanzb fails to parse some nzb files
Hellanzb fails to parse some nzb files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: hellanzb (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
http://www.hellanzb.com/trac/hellanzb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-15 07:04 EDT by Mace Moneta
Modified: 2008-10-20 18:06 EDT (History)
1 user (show)

See Also:
Fixed In Version: hellanzb-0.13-6.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-16 12:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mace Moneta 2008-10-15 07:04:58 EDT
Description of problem:

When hellanzb gets an nzb file, it appears to parse, but download never starts.

Version-Release number of selected component (if applicable):

hellanzb-0.13-5.fc8

How reproducible:

The problem occurs with any nzb specifying multiple groups.

Steps to Reproduce:
1.Save an nzb to the queue directory
2.Observe that download never starts
3.
  
Actual results:

No download

Expected results:

The queued files should be downloaded and processed

Additional info:

I've confirmed that the upstream patch listed in this Trac record corrects the problem:

http://www.hellanzb.com/trac/hellanzb/ticket/390
Comment 1 Conrad Meyer 2008-10-15 11:57:08 EDT
Thanks for the report -- however, I don't see a patch there. Can you give me a direct link to the patch?
Comment 2 Mace Moneta 2008-10-15 16:21:43 EDT
It's just a textual description of the one-line change, not a diff patch.  In the first comment, it says:

In NZBParser.py

ORIGINAL:

    elif name == 'group':

        newsgroup = self.parseUnicode(.join(self.chars))
        self.file.groups.append(newsgroup)

CHANGED:

    elif name == 'group':

        newsgroup = self.parseUnicode(.join(self.chars))
        self.file.group = newsgroup
Comment 3 Conrad Meyer 2008-10-15 16:40:53 EDT
Ah, ok. I'll make a patch and build that in koji. I'll push it out as an update if you'll test it and say it works.
Comment 4 Mace Moneta 2008-10-15 16:46:47 EDT
OK, no problem testing it here.
Comment 5 Conrad Meyer 2008-10-15 23:19:02 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=467032 <-- Can you test that? Thanks!
Comment 6 Mace Moneta 2008-10-15 23:35:21 EDT
Wrong link, or I'm in the Matrix.
Comment 7 Conrad Meyer 2008-10-15 23:38:38 EDT
Ha, I'm sorry. http://koji.fedoraproject.org/koji/buildinfo?buildID=66505
Comment 8 Mace Moneta 2008-10-16 09:46:26 EDT
Confirming that nzbs with either single or multiple groups are processed correctly now.  Thanks!
Comment 9 Conrad Meyer 2008-10-16 11:41:22 EDT
OK, I'll push out an update.
Comment 10 Fedora Update System 2008-10-16 11:58:07 EDT
hellanzb-0.13-6.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/hellanzb-0.13-6.fc8
Comment 11 Fedora Update System 2008-10-16 11:58:09 EDT
hellanzb-0.13-6.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/hellanzb-0.13-6.fc9
Comment 12 Fedora Update System 2008-10-20 16:30:23 EDT
hellanzb-0.13-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2008-10-20 18:06:10 EDT
hellanzb-0.13-6.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.